<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.bonus.canteen.core.menu.mapper.MenuDishesImportFailMapper">

    <select id="selectAllListPage" resultType="com.bonus.canteen.core.menu.vo.MenuDishesImportFailPageVO">
        select fail_row,
               fail_reason,
               import_time,
               crby,
               crtime,
               upby,
               uptime
        from menu_dishes_import_fail
        where fail_type = #{failType}
        order by id desc
    </select>
</mapper>
